org.apache.ignite.internal.processors.igfs

## Class IgfsListingEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsListingEntry

All Implemented Interfaces:
  Externalizable, Serializable

    public class IgfsListingEntry
    extends Object
    implements Externalizable

Directory listing entry.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsListingEntry()` Empty constructor required by `Externalizable`.
`IgfsListingEntry(IgfsFileInfo fileInfo)`
`IgfsListingEntry(IgfsListingEntry entry, long len, long accessTime, long modificationTime)` Creates listing entry with updated length.

### Method Summary

Methods
`long` `accessTime()`
`IgniteUuid` `affinityKey()`
`int` `blockSize()`
`boolean` `equals(Object o)`
`IgniteUuid` `fileId()`
`int` `hashCode()`
`boolean` `isDirectory()`
`boolean` `isFile()`
`long` `length()`
`long` `modificationTime()`
`Map<String,String>` `properties()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsListingEntry

    public IgfsListingEntry()

Empty constructor required by `Externalizable`.

#### IgfsListingEntry

    public IgfsListingEntry(IgfsFileInfo fileInfo)

Parameters:
  `fileInfo` - File info to construct listing entry from.

#### IgfsListingEntry

    public IgfsListingEntry(IgfsListingEntry entry,
                    long len,
                    long accessTime,
                    long modificationTime)

Creates listing entry with updated length.

Parameters:
  `entry` - Entry.
  `len` - New length.

### Method Detail

#### fileId

    public IgniteUuid fileId()

Returns:
  Entry file ID.

#### affinityKey

    public IgniteUuid affinityKey()

Returns:
  File affinity key, if specified.

#### isFile

    public boolean isFile()

Returns:
  `True` if entry represents file.

#### isDirectory

    public boolean isDirectory()

Returns:
  `True` if entry represents directory.

#### blockSize

    public int blockSize()

Returns:
  Block size.

#### length

    public long length()

Returns:
  Length.

#### accessTime

    public long accessTime()

Returns:
  Last access time.

#### modificationTime

    public long modificationTime()

Returns:
  Last modification time.

#### properties

    public Map<String,String> properties()

Returns:
  Properties map.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015